2017-05-30 13:01 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001692openmediavaultBugpublic2017-03-10 06:43
Reportercabrio_leo 
Assigned Tovotdev 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionErasmus (3.x) 
Summary0001692: Shared folders - privileges error: "Failed to decode JSON string: No error"
DescriptionHallo Volker,

I get exactely the the same error as in bug 0001688. But after doing the following two commands, I get a different error message, while performing to change group privileges (see below).
$ monit stop omv-engined
$ omv-engined -d -f
It seems to point to a different .inc-file.

Executing RPC (service=ShareMgmt, method=setPrivilegesByRole, params={"role":"group","name":"Backup-R","privileges":[{"uuid":"e9e1a952-b977-4f9f-8d06-96e05ffbdff3","perms":7},{"uuid":"96feeba5-d6ea-4cf4-ae36-89e24ee352ba","perms":-1},{"uuid":"6b38d56f-84b7-472d-84d5-d2a58f4fa3a2","perms":-1},{"uuid":"b55a9b3f-aff0-44b5-abf1-40cc98af0743","perms":-1},{"uuid":"32e5c08e-7e79-4dc7-9b6c-606910f47b60","perms":-1},{"uuid":"5e392279-f2d9-4502-b386-f63d9d602e1e","perms":-1},{"uuid":"7144cd25-ffb3-4c82-bda4-0babf9efa363","perms":-1}]}, context={"username":"admin","role":1}) ...
Child process forked (pid=4133)
Executing RPC (service=Config, method=isDirty, params=null, context={"username":"admin","role":1}) ...
RPC response (service=Config, method=isDirty): {"response":false,"error":null}
SIGCHLD received ...
Child (pid=4133) terminated with exit code 0
PHP Fatal error: Cannot use object of type OMV\Config\ConfigObject as array in /usr/share/openmediavault/engined/module/forkeddaapd.inc on line 110
SIGCHLD received ...
Child (pid=3975) terminated with exit code 255
Child process forked (pid=4136)
TagsOMV 3.0.64
Product build
Attached Files

-Relationships
+Relationships

-Notes

~0004627

votdev (administrator)

Fixed in openmediavault 3.1.7, see https://github.com/openmediavault/openmediavault/commit/ab5c44f31d1dcf489b03396c08abfdf627dbe064.

~0004650

votdev (administrator)

Fixed in openmediavault-forkeddaapd 3.1.8, see https://github.com/openmediavault/openmediavault/commit/a11f1249a2a541f39ec7bce7bbf89ff7e9355b7a.
+Notes

-Issue History
Date Modified Username Field Change
2017-03-05 13:44 cabrio_leo New Issue
2017-03-05 13:44 cabrio_leo Status new => assigned
2017-03-05 13:44 cabrio_leo Assigned To => votdev
2017-03-05 13:44 cabrio_leo Tag Attached: OMV 3.0.64
2017-03-05 22:21 votdev Status assigned => resolved
2017-03-05 22:21 votdev Resolution open => fixed
2017-03-05 22:21 votdev Fixed in Version => Erasmus (3.x)
2017-03-05 22:21 votdev Note Added: 0004627
2017-03-08 23:20 cabrio_leo Status resolved => feedback
2017-03-08 23:20 cabrio_leo Resolution fixed => reopened
2017-03-08 23:25 cabrio_leo Status feedback => assigned
2017-03-09 17:17 votdev Note Added: 0004650
2017-03-10 06:43 votdev Status assigned => resolved
2017-03-10 06:43 votdev Resolution reopened => fixed
+Issue History